<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
      integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
      crossorigin="anonymous"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Homework-buttons</title>
    <style>
      .password-form {
        display: flex;
        flex-direction: column;
        align-items: center;
        
      }
      .input-wrapper {
        position: relative;
				width: 200px;
                margin-top: 25px;
                margin-bottom: 5px;
			 
      }

      .input-wrapper input {
        min-width: 120px;
        padding: 10px;
        
      }

      .input-wrapper i {
        position: absolute;
        right: 25px;
        top: 30px;
        color: grey;
      }
.icon-hide.active{
    opacity: 0;
}
.icon-hide2.active{
    opacity: 0;
}


			.btn{
				width: 150px;
                margin-top: 10px;
			}
            .password-input{
                outline: none;
            }
            .password-input2{
                outline: none;
            }
            .invalid{
                color: red;
                padding: 0;
                margin-bottom: 5px;
                
            }
            .btn{
              padding: 10px;
              background-color: aliceblue;
              color: black;
              transition: all .5s linear;
              
            }
            .btn:hover{
              background-color: rgb(37, 213, 219);
              color: rgb(7, 240, 93);   
            }


    </style>
  </head>
  <body>
    <form class="password-form" action="#" type="POST">
			<label class="input-wrapper">
				Ввести пароль
				<input type="password" class="form-input password-input"/>
               
        <i class="fas fa-eye icon-show"></i>
        <i  class="fas fa-eye-slash icon-hide"></i>
 
			</label>
      <label class="input-wrapper">
				Подтвердить пароль
        <input type="password" class="form-input password-input2"/>
        <i class="fas fa-eye icon-show"></i>

				<i class="fas fa-eye-slash icon-hide2"></i>
			</label>
            <p class="invalid"></p>
			<button type="submit" class="btn">Подтвердить</button>

    </form>
    <script src="./script.js"></script>
  </body>
</html>
